insert into pluspcustassoc (ownerid, ownertable, customer, isprimary) select l.locationsid, 'LOCATIONS', p.customer, p.responsible
from pluspcustloc p, locations l where l.location = p.location and l.siteid = p.siteid
;

insert into pluspcustassoc (ownerid, ownertable, customer, isprimary) select classstructureuid, 'CLASSSTRUCTURE', pluspcustomer, 1 
from classstructure where pluspcustomer is not null
;

update classstructure set pluspisglobal = 0 where pluspcustomer is not null
;

update locations set pluspcustomer = (select customer from pluspcustassoc where isprimary = 1 
and ownerid = locations.locationsid and ownertable = 'LOCATIONS')
;

update synonymdomain set defaults = 0 where domainid = 'PLUSPSTREETDIRECT' 
and maxvalue in (select maxvalue from synonymdomain where domainid = 'STREETDIRECTION'  and defaults = 1)
;

delete from synonymdomain where domainid = 'PLUSPSTREETDIRECT'
and exists (select 1 from synonymdomain s where s.domainid = 'STREETDIRECTION' and 
synonymdomain.maxvalue = s.maxvalue  
and ((synonymdomain.siteid is null and s.siteid is null) or synonymdomain.siteid = s.siteid) 
and ((synonymdomain.orgid is null and s.orgid is null) or synonymdomain.orgid = s.orgid))
;

update synonymdomain set domainid = 'PLUSPSTREETDIRECT' where domainid = 'STREETDIRECTION'
;

insert into plusptkpricetotals (ticketid,class,actfeeprice,actlabprice,feebillpr,labbillpr) 
select ticketid,class,pluspactfeeprice,pluspactlabprice,pluspfeebillpr,plusplabbillpr from ticket
;

insert into pluspsopricetotals (salesordernum,orgid,siteid,actfeeprice,feebillpr) 
select salesordernum,orgid,siteid,actfeeprice,feebillpr from pluspsalesorder
;

insert into pluspwopricetotals (wonum,orgid,siteid,actfeeprice,actlabprice,actmatprice,actsrvprice,acttoolprice,estfeeprice,estlabprice
,estmatprice,estsrvprice,esttoolprice,feebillpr,toolbillpr,srvbillpr,matbillpr,labbillpr) 
select wonum,orgid,siteid,pluspactfeeprice,pluspactlabprice,pluspactmatprice,pluspactsrvprice,pluspacttoolprice,pluspestfeeprice,pluspestlabprice
,pluspestmatprice,pluspestsrvprice,pluspesttoolprice,pluspfeebillpr,plusptoolbillpr,pluspsrvbillpr,pluspmatbillpr,plusplabbillpr from workorder
;

insert into classusewith (classstructureid,objectname,objectvalue,toplevel,description)
select classstructureid,'PLUSPSALESORDER','PLUSPSALESORDER',0,(select description from synonymdomain where defaults = 1 and maxvalue = 'PLUSPSALESORDER' and domainid = 'CLASSUSEWITH') from classstructure where pluspusewithso = 1
;


update autokey set autokeyname='PLUSPSONUM' where autokeyname='SALESORDNUM'
;

update autokey set autokeyname='PLUSPBBATCHNUM' where autokeyname='BILLBATCHNUM'
;

update autokey set autokeyname='PLUSPSCHED' where autokeyname='SCHEDULE'
;

update autokey set autokeyname='PLUSPRPNUM' where autokeyname='RPNUM'
;

commit
;
